### 3.2 Command Line Options

Here are the command line options that Geomview allows:

‘`-b r g b`’
  Set the window background color to the given r g b values.
‘`-c file`’
  Interpret the GCL commands in file, which may be the special symbol `-` for standard input. For a description of GCL, See GCL.
‘`-c command`’
  Commands may also be supplied literally, as in

                -c "(ui-panel main off)"

  Since command includes parentheses, which have special meaning to the shell, command must be quoted. Multiple -c options are allowed.

‘`-wins nwins`’
  Causes Geomview to initially display nwins camera windows.
‘`-wpos width,height[@xmin,ymin]`’
  Specifies the initial location and size of the first camera window. The values for width, height, xmin, and ymin are in screen (pixel) coordinates.
‘`-M[cg][ps[un|in|in6]] PIPENAME|TCPPORT`’
  The ‘`-M`’ option accepts modifiers: a ‘`g`’ suffix expects geometry data (the default), while a ‘`c`’ suffix expects GCL commands. A ‘`p`’ implies the connection should use a named pipe (the default on everything except on the NeXT), while ‘`s`’ implies using a UNIX-domain socket (the default on the NeXT). Since version 1.9 of Geomview Internet domain sockets are also supported; use ‘`sin`’ to make Geomview listen on the IPv4 port given by TCPPORT, or use ‘`sin6`’ to make Geomview listen on an IPv6 port (also as specified by TCPPORT). ‘`sun`’ is a synonym for ‘`s`’, i.e. use the Unix domain socket with the name PIPENAME. If PIPENAME starts with a slash ('/'), then it is assumed to be an absolute pathname, otherwise the named pipe or socket is created below `${TMPDIR}/geomview/`.

  Listening to command streams on TCP ports can be a security risk, as Geomview itself does not take any security precautions, it simply executes all commands fed to it through the network socket. This also implies that disk-io can be initiated remotely.

  Examples:

  `-M` objectname
    Display (possibly dynamically changing) geometry sent from the programs `geomstuff` or `togeomview`. This actually listens to the named pipe `/tmp/geomview/objectname`; you can achieve the same effect with the shell commands:

                       mkdir /tmp/geomview
                       mknod /tmp/geomview/objectname p

    (assuming the directory and named pipe don't already exist), then executing the GCL command:

                       (geometry objectname  < /tmp/geomview/objectname)

    (see `(geometry ...)`)

  `-Mc` pipename
    Like ‘`-M`’ above, but expects GCL commands, rather than OOGL geometry data, on the connection.
  `-Mcs fred`
    Read commands from the UNIX-domain socket named. `/tmp/geomview/fred`
  `-Mcsin 40000`
    Read commands from the IPv4 port ‘`40000`’. Geomview itself does not take any security precautions, so this can be a security risk.
‘`-noopengl`’
  Disable the use of OpenGL for (possibly) hardware accelerated rendering, even if the Geomview binary has support for OpenGL compiled in. This also disables the support for transparency and textures in the camera windows. RenderMan snapshots still will have correct transparency and some limited texture support.
‘`-nopanels`’
  Start up displaying no panels, only graphics windows. Panels may be invoked later as usual with the `Px` keyboard shortcuts or with the `ui-panel` command. See `(ui-panel ...)`.
‘`-noinit`’
  Read no initialization files. By default, geomview reads the system-wide `.geomview` file, followed by those in `${HOME}/.geomview` and `./.geomview`.
‘`-e module`’
  Start an external module; module is the name associated with the module, appearing in the main panel's Applications browser, as defined by the `emodule-define` command. See `(emodule-define ...)`.
‘`-start module args ...`’
  Like -e but allows you to pass arguments to the external module. "–" signals the end of the argument list; the "–" may be omitted if it would be the last argument on the Geomview command line.
‘`-run shell-command args ...`’
  Like -start but takes the pathname of executable of the external module instead of the module's name. The pathnames of all known module directories are appended to the UNIX search path when invoking shell-command.